aboutsummaryrefslogtreecommitdiffstats
path: root/main/gst-ffmpeg/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-20 07:51:38 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-20 07:51:38 +0000
commit2fa58d39ed8589c17c46e87b1745481eb4b43232 (patch)
treeb09ac20361a1fa30b5aa58c21cc7c64cc3147979 /main/gst-ffmpeg/APKBUILD
parent0e64b190eb202c2a09d3ad0c80296d3f25cad5bb (diff)
downloadaports-2fa58d39ed8589c17c46e87b1745481eb4b43232.tar.gz
aports-2fa58d39ed8589c17c46e87b1745481eb4b43232.tar.bz2
aports-2fa58d39ed8589c17c46e87b1745481eb4b43232.tar.xz
main/gst-ffmpeg: use internal ffmpeg instead of external
Diffstat (limited to 'main/gst-ffmpeg/APKBUILD')
-rw-r--r--main/gst-ffmpeg/APKBUILD16
1 files changed, 4 insertions, 12 deletions
diff --git a/main/gst-ffmpeg/APKBUILD b/main/gst-ffmpeg/APKBUILD
index 739f2e4845..d9441e8ca7 100644
--- a/main/gst-ffmpeg/APKBUILD
+++ b/main/gst-ffmpeg/APKBUILD
@@ -1,28 +1,20 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gst-ffmpeg
pkgver=0.10.10
-pkgrel=0
+pkgrel=1
pkgdesc="Gstreamer FFMpeg Plugin"
url="http://www.gstreamer.net"
license="GPL"
-makedepends="gstreamer-dev gst-plugins-base-dev liboil-dev ffmpeg-dev"
+makedepends="gstreamer-dev gst-plugins-base-dev liboil-dev coreutils"
source="http://gstreamer.freedesktop.org/src/gst-ffmpeg/gst-ffmpeg-$pkgver.tar.bz2"
build() {
cd "$srcdir"/gst-ffmpeg-$pkgver
- sed -i \
- -e 's,ffmpeg/avformat.h,libavformat/avformat.h,' \
- -e 's,ffmpeg/avcodec.h,libavcodec/avcodec.h,' \
- -e 's,ffmpeg/swscale.h,libswscale/swscale.h,' \
- ext/ffmpeg/gst* \
- ext/libpostproc/gstpostproc.c \
- || return 1
-
export CFLAGS="$CFLAGS -fno-strict-aliasing"
./configure --prefix=/usr \
--sysconfdir=/etc \
- --with-system-ffmpeg \
- --localstatedir=/var || return 1
+ --localstatedir=/var \
+ --with-ffmpeg-extra-configure="--enable-pic --disable-mmx --disable-mmx2" || return 1
make || return 1
}